/**
 * @file
 * Java Scripts used in Radios Select module.
 */

(function ($) {
  Drupal.behaviors.RadiosSelect = {
    attach: function (context, settings) {
      $('div.form-type-radios:not(.rs-processed):has(div.type-radios-select)', context).each(function() {
        var RadiosSelect   = this;
        $(RadiosSelect).addClass('rs-processed');
        var RadiosSelectSelector = $('div.type-radios-select', RadiosSelect);
        var RadiosSelectCurrent = $('div.type-radios-current', RadiosSelect);
        var RadiosSelectCurrentInner = $('div.inner', RadiosSelectCurrent);

        $(RadiosSelectCurrentInner).empty();
        $('input:checked ~ label', RadiosSelectSelector).clone().removeAttr('for').appendTo(RadiosSelectCurrentInner);
        $('input:checked ~ label', RadiosSelectSelector).addClass("selected");

        $(RadiosSelectCurrent).click(function () {
          $(this).toggleClass('rs_opened');
          $(RadiosSelectSelector).toggle();
        });


        $('label', RadiosSelectSelector).click(function () {
          $(RadiosSelectCurrentInner).empty();
          // for IE
          if ($.browser.msie) {
            // emulates clicking on linked radio element
            $(this, context).prev('input').click();
          }
          $(this).clone().removeAttr('for').appendTo(RadiosSelectCurrentInner);
          $('label', RadiosSelectSelector).removeClass("selected");
          $(this, context).addClass("selected");
          $(RadiosSelectCurrent).toggleClass('rs_opened');
          $(RadiosSelectSelector).toggle();
        });
      });
    }
  };
}(jQuery));
